---
sonarcloud:
  stage: sonarcloud-check
  cache:
    key: "${CI_JOB_NAME}"
    paths:
      - .sonar/cache
  variables:
    SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"
    GIT_DEPTH: "0"
  script:
    - "mvn verify
      sonar:sonar
      -Dsonar.projectKey=gitlab-dojo_monorepo-devops-template-fibonacci-service
      -f modules/fibonacci-service/pom.xml"
  rules:
    - changes:
        - modules/fibonacci-service/**/*
